#ifndef OZONE_H 
#define OZONE_H

#include "main.h"
#include "Driver.h"
#include "EEPROM.h"
#define OZONE_ON_TIME_ADDR     0x80  // 臭氧运行时间存储地址
#define OZONE_OFF_TIME_ADDR    0x84  // 臭氧停止时间存储地址
#define OZONE_FLAG_ADDR        0x88  // 臭氧标志地址
#define OZONE_FLAG_VAL         0xA7  //臭氧参数标志位值
// 臭氧控制参数
extern uint8_t ozone_running;         // 默认不运行
extern uint32_t ozone_timer;          // 臭氧计时器
extern  uint32_t OZONE_ON_TIME; // 运行5分钟
extern  uint32_t OZONE_OFF_TIME; // 停止25分钟


void Ozone_Init(void);   // 初始化
void Ozone_Conteol(uint8_t state); // 控制
void Ozone_Control_Update(void); // 更新
void Save_Ozone_Time_To_EEPROM(uint32_t on_time, uint32_t off_time); // 保存
void Load_Ozone_Time_From_EEPROM(void); // 加载
#endif
